/*******************************************************************************
 *	BSys.h		BSys system class
 *	T.Barnaby,	Beam Ltd,	2018-10-22
 *	Copyright (c) 2018 All Right Reserved, Beam Ltd, http://www.beam.ltd.uk
 *******************************************************************************
 *
 *	Core system class.
 */
#ifndef BSys_h
#define BSys_h

#include <BTypes.h>

extern  "C" {
extern void		delayUs(BUInt us);	///< Will delay for given time in us, if tasks running task will sleep
extern void		delayMs(BUInt ms);	///< Will delay for given time in ms, if tasks running task will sleep
}

#endif
